﻿@page "/"

<h1>Hello, world!</h1>

@*@if (User.Identity.IsAuthenticated)
{
    <p>
        @Name
    </p>
    <p>
        @Email
    </p>
}*@

<button type="button" class="btn btn-primary" @onclick="e => { X++; }">
    @X
</button>

@using System.Security.Claims
@code {
    public int X { set; get; }

    public ClaimsPrincipal User { set; get; } = new ClaimsPrincipal();

    public string Name { set; get; }

    public string Email { set; get; }

    [CascadingParameter]
    public Task<AuthenticationState> CascadingAuthenticationState { set; get; }

    protected override async Task OnInitializedAsync()
    {
        var auth = await CascadingAuthenticationState;

        if (auth.User.Identity.IsAuthenticated == true)
        {
            this.User = auth.User;
            this.Name = auth.User.Identity.Name;
            this.Email = auth.User.FindFirstValue(ClaimTypes.Email);
        }
    }
}